controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute

# Index

app_index:
    path: /
    controller : App\Controller\IndexController::index

# Instrument

app_Instrument:
    path: /instrument
    controller: App\Controller\InstrumentController::index

app_instrument_lister:
    path: /instrument/lister
    controller: App\Controller\InstrumentController::lister

app_instrument_consulter:
    path: /instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulter

app_instrument_ajouter:
    path: /instrument/ajouter
    controller: App\Controller\InstrumentController::ajouter

app_instrument_modifier:
    path: /instrument/modifier/{id}
    controller: App\Controller\InstrumentController::modifier

app_instrument_supprimer:
    path: /instrument/supprimer/{id}
    controller: App\Controller\InstrumentController::supprimer

# Type_instrument

app_typeinstrument:
    path: /typeinstrument
    controller: App\Controller\TypeInstrumentController::index

app_typeinstrument_lister:
    path: /typeinstrument/lister
    controller: App\Controller\TypeInstrumentController::lister

app_typeinstrument_consulter:
    path: /typeinstrument/consulter/{id}
    controller: App\Controller\TypeInstrumentController::consulter

app_typeinstrument_ajouter:
    path: /typeinstrument/ajouter
    controller: App\Controller\TypeInstrumentController::ajouter

app_typeinstrument_modifier:
    path: /typeinstrument/modifier/{id}
    controller: App\Controller\TypeInstrumentController::modifier

app_typeinstrument_supprimer:
    path: /typeinstrument/supprimer/{id}
    controller: App\Controller\TypeInstrumentController::supprimer
# app_accessoire

app_Accessoire:
    path: /accessoire
    controller: App\Controller\AccessoireController::index

app_Accessoire_lister:
    path: /accessoire/lister
    controller: App\Controller\AccessoireController::lister

# app_Marque

app_Marque:
    path: /marque
    controller: App\Controller\MarqueController::index

app_Marque_lister:
    path: /marque/lister
    controller: App\Controller\MarqueController::lister

# app_Modele

app_Modele:
    path: /modele
    controller: App\Controller\ModeleController::index

app_Modele_lister:
    path: /modele/lister
    controller: App\Controller\ModeleController::lister

# Professeur 

app_professeur:
    path: /professeur
    controller: App\Controller\ProfesseurController::index

app_professeur_lister:
    path: /professeur/lister
    controller: App\Controller\ProfesseurController::lister

app_consulter_professeur:
    path: /professeur/consulter/{id}
    controller: App\Controller\ProfesseurController::consulter

app_ajouter_professeur:
    path: /professeur/ajouter
    controller: App\Controller\ProfesseurController::ajouter

app_modifier_professeur:
    path: /professeur/modifier/{id}
    controller: App\Controller\ProfesseurController::modifier

app_supprimer_professeur:
    path: /professeur/supprimer/{id}
    controller: App\Controller\ProfesseurController::supprimer

# Cours

app_cours:
    path: /cours
    controller: App\Controller\CoursController::index

app_cours_lister:
    path: /cours/lister
    controller: App\Controller\CoursController::lister

app_cours_consulter:
    path: /cours/consulter/{id}
    controller: App\Controller\CoursController::consulter

app_cours_ajouter:
    path: /cours/ajouter
    controller: App\Controller\CoursController::ajouter

app_cours_modifier:
    path: /cours/modifier/{id}
    controller: App\Controller\CoursController::modifier

app_cours_supprimer:
    path: /cours/supprimer/{id}
    controller: App\Controller\CoursController::supprimer

# Intervention

app_intervention:
    path: /intervention
    controller: App\Controller\InterventionController::index

app_intervention_lister:
    path: /intervention/lister
    controller: App\Controller\InterventionController::lister

app_intervention_consulter:
    path: /intervention/consulter/{id}
    controller: App\Controller\InterventionController::consulter

app_intervention_ajouter:
    path: /intervention/ajouter
    controller: App\Controller\InterventionController::ajouter

app_intervention_modifier:
    path: /intervention/modifier/{id}
    controller: App\Controller\InterventionController::modifier

app_intervention_supprimer:
    path: /intervention/supprimer/{id}
    controller: App\Controller\InterventionController::supprimer

# Contrat Pret

app_contratpret:
    path: /contratpret
    controller : App\Controller\ContratPretController::index

app_contratpret_lister:
    path: /contratpret/lister
    controller: App\Controller\ContratPretController::lister

# Professionnel 

app_professionnel_lister:
    path: /professionnel/lister
    controller: App\Controller\ProfessionnelController::lister

app_professionnel_consulter:
    path: /professionnel/consulter/{id}
    controller: App\Controller\ProfessionnelController::consulter

app_professionnel_ajouter:
    path: /professionnel/ajouter
    controller: App\Controller\ProfessionnelController::ajouter

app_professionnel_modifier:
    path: /professionnel/modifier/{id}
    controller: App\Controller\ProfessionnelController::modifier

app_professionnel_supprimer:
    path: /professionnel/supprimer/{id}
    controller: App\Controller\ProfessionnelController::supprimer

#Eleve

app_eleve:
    path: /eleve
    controller: App\Controller\EleveController::index
    
app_eleve_lister:
    path: /eleve/lister
    controller: App\Controller\EleveController::lister
    
app_eleve_consulter:
    path: /eleve/consulter/{id}
    controller: App\Controller\EleveController::consulter
    
app_eleve_ajouter:
    path: /eleve/ajouter
    controller: App\Controller\EleveController::ajouter
    
app_eleve_modifier:
    path: /eleve/modifier/{id}
    controller: App\Controller\EleveController::modifier
    
app_eleve_supprimer:
    path: /eleve/supprimer/{id}
    controller: App\Controller\EleveController::supprimer

#Responsable

app_responsable:
    path: /responsable
    controller: App\Controller\ResponsableController::index

app_responsable_lister:
    path: /responsable/lister
    controller: App\Controller\ResponsableController::lister
    
app_responsable_consulter:
    path: /responsable/consulter/{id}
    controller: App\Controller\ResponsableController::consulter

app_responsable_ajouter:
    path: /responsable/ajouter
    controller: App\Controller\ResponsableController::ajouter

app_responsable_modifier:
    path: /responsable/modifier/{id}
    controller: App\Controller\ResponsableController::modifier

app_responsable_supprimer:
    path: /responsable/supprimer/{id}
    controller: App\Controller\ResponsableController::supprimer

#Inscription

app_inscription:
    path: /inscription
    controller: App\Controller\InscriptionController::index

app_inscription_lister:
    path: /inscription/lister
    controller: App\Controller\InscriptionController::lister

app_inscription_consulter:
    path: /inscription/consulter/{id}
    controller: App\Controller\InscriptionController::consulter

app_inscription_ajouter:
    path: /inscription/ajouter
    controller: App\Controller\InscriptionController::ajouter

app_inscription_modifier:
    path: /inscription/modifier/{id}
    controller: App\Controller\InscriptionController::modifier

app_inscription_supprimer:
    path: /inscription/supprimer/{id}
    controller: App\Controller\InscriptionController::supprimer

# QuotientFamilial

app_quotient_familial_index:
    path: /quotient_familial/index
    controller: App\Controller\QuotientFamilialController::index

app_quotient_familial_lister:
    path: /quotient_familial/lister
    controller: App\Controller\QuotientFamilialController::lister

app_quotient_familial_consulter:
    path: /quotient_familial/consulter/{id}
    controller: App\Controller\QuotientFamilialController::consulter

# Authentification

app_security_auth:
    path: /security/auth/
    controller: App\Controller\AuthController::index

# Registration

app_registration_register:
    path: /registration/register
    controller: App\Controller\RegistrationController::register

# Security

app_security_login:
    path: /security/login
    controller: App\Controller\SecurityController::login
    
app_security_logout:
    path: /security/logout
    controller: App\Controller\SecurityController::logout


# Metier 

app_metier_lister:
    path: /metier/lister
    controller: App\Controller\MetierController::lister

app_metier_consulter:
    path: /metier/consulter/{id}
    controller: App\Controller\MetierController::consulter

app_metier_ajouter:
    path: /metier/ajouter
    controller: App\Controller\MetierController::ajouter

app_metier_modifier:
    path: /metier/modifier/{id}
    controller: App\Controller\MetierController::modifier

app_metier_supprimer:
    path: /metier/supprimer/{id}
    controller: App\Controller\MetierController::supprimer

#Tarif

app_tarif_index:
    path: /tarif/index
    controller: App\Controller\TarifController::index

app_tarif_lister:
    path: /tarif/lister
    controller: App\Controller\TarifController::lister